aboutsummaryrefslogtreecommitdiff
path: root/driver_library/python/init_devenv.sh
diff options
context:
space:
mode:
Diffstat (limited to 'driver_library/python/init_devenv.sh')
-rwxr-xr-xdriver_library/python/init_devenv.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/driver_library/python/init_devenv.sh b/driver_library/python/init_devenv.sh
new file mode 100755
index 0000000..53544e7
--- /dev/null
+++ b/driver_library/python/init_devenv.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+# SPDX-FileCopyrightText: Copyright 2021-2022 Arm Limited and/or its affiliates <open-source-office@arm.com>
+# SPDX-License-Identifier: Apache-2.0
+
+set -e
+SCRIPT_DIR="$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
+
+python3 -m venv devenv
+source devenv/bin/activate
+python "${SCRIPT_DIR}"/test/testdata/download.py